<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Popup.Master"
    CodeBehind="ManageConfigurationFileInstances.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Configuration.ManageConfigurationFileInstances"
    Title="Manage Instances" %>

<asp:Content ContentPlaceHolderID="AdditionalHeadContent" runat="server">
<style type="text/css">
body { background-color:#E7E7E7; margin: 0; padding: 0; }

#Header #Buttons { line-height: 25px; vertical-align: middle; height: 25px; background-image: url('/Resources/images/layout/menubaritem.svg'); background-size: contain; -webkit-background-size: contain; border-radius: 8px; border: solid 1px #AAA; overflow: hidden; }
            #Header #Buttons a.major { font-weight: bold; }
            #Header #Buttons a,
            #Header #Buttons a:hover,
            #Header #Buttons a:visited { color: #707070; text-shadow: 0 1px 0 #fff; display: block; float: left; text-decoration: none; border-right: solid 1px #AAA; padding: 0 12px; }
            #Header #Buttons a:hover { background-image: url('/Resources/images/layout/menubaritemselected.svg'); background-size: contain; }

#Container { margin: 5px; background-color:#FFF; padding: 5px; }

</style>    

<noscript><style type="text/css">
    #Body { background-color: #FFF; margin:5px; border:solid 1px #000; padding:5px; width:625px; }
    textarea.editor { margin-bottom:10px; border-top-width:1px; }
    #SaveChanges, #LoadFrom, #SuggestSave { display: block; }    
    h2 { display: block; }
</style></noscript>

    <script type="text/javascript">
        $(function(){
            $(window)
                .resize(function(){
                    $('#Container').height( $(window).height() - 120);
                    })
                .trigger('resize');
        });
        
    </script>
</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <div id="Header">
        <div id="Buttons">
            <asp:HyperLink runat="server"
                ID="lnkEditFile"
                Text="&laquo; Back to Edit" />
            <asp:HyperLink runat="server"
                ID="lnkToggleActive"
                />
        </div>
        <h1><%= Server.HtmlEncode(Title) %></h1>
    </div>        
        
    
    <div id="Body">
        <div id="Container">
        <h2>Instances</h2>
        <bm:BuildMasterStyledTable runat="server" ID="tblInstances">
            <asp:TableHeaderRow runat="server">
                <asp:TableHeaderCell runat="server">Instance Name</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server">Environment</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server">Template</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server">Last Edited</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server" Width="70">&nbsp;</asp:TableHeaderCell>
            </asp:TableHeaderRow>
        </bm:BuildMasterStyledTable>
<asp:PlaceHolder runat="server" ID="phTemplates">
        <h2>Templates</h2>
        <bm:BuildMasterStyledTable runat="server" ID="tblTemplateInstances">
            <asp:TableHeaderRow runat="server">
                <asp:TableHeaderCell runat="server">Template Name</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server">Instance Count</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server">Last Edited</asp:TableHeaderCell>
                <asp:TableHeaderCell runat="server" Width="70">&nbsp;</asp:TableHeaderCell>
            </asp:TableHeaderRow>
        </bm:BuildMasterStyledTable>
</asp:PlaceHolder>

<bm:InfoBox runat="server" ID="ctlLicensing" Visible="false">
    <div class="subLabel">Note: the current license does not permit configuration file templates.</div>
</bm:InfoBox>

        </div>
    </div>

</asp:Content>
