﻿<%@ Page 
    Language="C#"
    MasterPageFile="~/Resources/MasterPages/Application.Master" 
    CodeBehind="History.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.ChangeControls.History" %>

<asp:Content ID="Content1" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h1><%= this.Title %></h1>

<bm:FilterString ID="ctlFilter" runat="server">
    <Snippets>
        <bm:TextSnippet>Show</bm:TextSnippet>
        <bm:ListSnippet Name="Count" ID="ctlFilter_Count">
            <bm:ListSnippetItem Text="all" Value="" />
            <bm:ListSnippetItem Text="last 25" Value="25" Selected="true" />
            <bm:ListSnippetItem Text="last 50" Value="50" />
            <bm:ListSnippetItem Text="last 100" Value="100" />
        </bm:ListSnippet>
        <bm:ListSnippet ID="ctlFilter_Active">
            <bm:ListSnippetItem Text="active" Value="N" />
            <bm:ListSnippetItem Text="active or inactive" Value="Y" />
        </bm:ListSnippet> 
        <bm:TextSnippet>change control performances for </bm:TextSnippet>
        <bm:ListSnippet Name="Release" ID="ctlFilter_Rel">
            <bm:ListSnippetItem Text="any release" Value="" Selected="false" />
        </bm:ListSnippet>
        <bm:TextSnippet>in </bm:TextSnippet>
        <bm:ListSnippet Name="Environment" ID="ctlFilter_Env">
            <bm:ListSnippetItem Text="any environment" Value="" Selected="false" />
        </bm:ListSnippet>
    </Snippets>
</bm:FilterString>

<bm:BuildMasterStyledTable runat="server" ID="tblChangeControlPerformances">
    <asp:TableHeaderRow>
        <asp:TableHeaderCell>Change Control Name</asp:TableHeaderCell>
        <asp:TableHeaderCell Width="50">Rel</asp:TableHeaderCell>
        <asp:TableHeaderCell>Environment</asp:TableHeaderCell>
        <asp:TableHeaderCell>Performed By</asp:TableHeaderCell>
        <asp:TableHeaderCell>Performed On</asp:TableHeaderCell>
    </asp:TableHeaderRow>
</bm:BuildMasterStyledTable>

</asp:Content>
