<%@ Page Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Application.Master"
    CodeBehind="DeploymentHistory.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Configuration.DeploymentHistory" 
    Title="Configuration File Deployment History" %>
    
<asp:Content ID="head" ContentPlaceHolderID="AdditionalHeadContent" runat="server">

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h1>Deployment History</h1>

    <bm:FilterString ID="ctlFilter" runat="server">
        <Snippets>
            <bm:TextSnippet>Show</bm:TextSnippet>
            <bm:ListSnippet ID="ctlFilter_Count">
                <bm:ListSnippetItem Text="Last 25" Value="25" />
                <bm:ListSnippetItem Text="Last 50" Value="50" />
                <bm:ListSnippetItem Text="Last 100" Value="100" />
                <bm:ListSnippetItem Text="All" Value="0" />
            </bm:ListSnippet>
            <bm:TextSnippet>deployments of</bm:TextSnippet>
            <bm:ListSnippet ID="ctlFilter_File">
                <bm:ListSnippetItem Text="all files" Value="0" />
            </bm:ListSnippet>        
            <bm:TextSnippet>on</bm:TextSnippet>
            <bm:ListSnippet Name="Server" ID="ctlFilter_Server">
                <bm:ListSnippetItem Text="any" Value="0" />
            </bm:ListSnippet>  
            <bm:TextSnippet>server</bm:TextSnippet>              
        </Snippets>
    </bm:FilterString>
    
    <bm:BuildMasterStyledTable runat="server" ID="tblDeploymentHistory">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>File</asp:TableHeaderCell>
            <asp:TableHeaderCell>Instance</asp:TableHeaderCell>
            <asp:TableHeaderCell>Server</asp:TableHeaderCell>
            <asp:TableHeaderCell>Date</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>        


  
    
</asp:Content>
