﻿<%@ Page Language="C#" MasterPageFile="~/Resources/MasterPages/Modal.Master" 
    CodeBehind="EditNote.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Releases.EditNote"
    Title="Edit Release Note" %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<bm:FormFieldGroup runat="server" Narrow="true">
    <Description Heading="Release">
        <p>Release notes may be associated with a specific Build or Promotion.</p>
    </Description>
    <FormFields>
        <bm:StandardFormField LabelText="Release:">
            <FieldContent>
                <asp:TextBox runat="server" ID="txtReleaseNumber" ReadOnly="true" Width="250" />
            </FieldContent>
        </bm:StandardFormField>
        <bm:StandardFormField LabelText="Build:">
            <FieldContent>
                <asp:DropDownList runat="server" ID="ddlBuild" Width="250" />
                <bm:StyledCustomValidator 
                    runat="server" ID="vcstddlBuild"
                    OnServerValidate="vcst_ddlBuild_ServerValidate" />
            </FieldContent>
        </bm:StandardFormField>        
        <bm:StandardFormField LabelText="Promotion:">
            <FieldContent>
                <asp:DropDownList runat="server" ID="ddlPromotion"  Width="250"/>
            </FieldContent>
        </bm:StandardFormField>                
    </FormFields>
</bm:FormFieldGroup>
<bm:FormFieldGroup runat="server" EndGroup="true" Narrow="true">
    <Description Heading="Notes"></Description>
    <FormFields>
        <bm:StandardFormField>
            <FieldContent>
                <bm:ValidatingTextBox runat="server" ID="txtNotes" Required="true"
                    Rows="8" TextMode="MultiLine"  Width="250"/>
                <script type="text/javascript">
                    $(function(){ $('#<%=txtNotes.ClientID %>').focus(); });
                </script>
            </FieldContent>
        </bm:StandardFormField>
    </FormFields>
</bm:FormFieldGroup>

<div class="action-button-container">
    <asp:Button runat="server" ID="btnSave" Text="Save Note" CssClass="button" OnClick="btnSave_Click" />
    <bm:CloseModalButtonLink ID="CloseModalButtonLink1" runat="server" Text="Cancel" />
</div>

</asp:Content>
