﻿if ($) $(function () {

    if ($.browser.msie && parseInt($.browser.version) == 7) {
        var $style = $( // z-index fix
                    '<style type="text/css">'
                    + '.ui-tabs { position: static; } '
                    + '.ui-tabs .ui-tabs-nav LI { position: static; }'
                    + '#BodyContainer { position: static; }'
                    + '</style>');
        $('#BodyContainer .application-navigation-bar,#HeaderContainer .header-app-search').hover(
                    function () { $style.appendTo('head'); },
                    function () { $style.remove(); }
                );
    }

    // add negative margin to sub-menus to allow them to expand beyond bounds
    $("#BodyContainer .application-navigation-bar ul > li > ul").each(function (idx, el) {
        var widthDiff = Math.min(
                    $(el).parent().width() - $(el).width() - 4 /* for padding */,
                    -1);
        $(el).css('margin-right', widthDiff + 'px');
    });

    // handle alerts
    (function () {
        var thisfn = arguments.callee;
        $.ajax({ url: '/alerts', dataType: 'json', type: 'POST' }).success(function (messages) {
            $('#TopHeaderContainer .header-nav-fixed').attr('class', 'header-nav-fixed');
            $('#TopHeaderContainer .header-nav-fixed-inner div.message').remove();
            if (messages && messages.length > 0) {
                $('#TopHeaderContainer .header-nav-fixed')
                            .addClass(messages[0].level).fadeIn(1000);
                $('#TopHeaderContainer .header-nav-fixed-inner')
                            .append('<div class="message"><a href="' + messages[0].url + '">' + messages[0].message + "</a></div>")
            }
            window.setTimeout(thisfn, 5000);
        });
    })();
});