﻿if ($) $(function () {
    window.inedobm | (window.inedobm = {});

    /* HACK: handle IE 8 form submission "manually" because present the enter key will insert a new line instead of submitting the form in that browser */
    if ($.browser.msie && parseInt($.browser.version, 10) === 8) {
        $('#habla_chatform_form textarea').live('keypress', function (event) {
            if (event.which == '13') {
                $(this).closest('form').submit();
            }
        });
    }

    var $sidebar = $('#SidebarContainer');
    var $topHeader = $('#TopHeaderContainer');
    var $mainPane = $('#MainPane');
    var $sidePane = $('#SidePane');

    var $sidePaneScroll = $('.sidebar-scroll', $sidePane);
    var $sidePaneActivator = $('<div><img src="/Resources/Images/Layout/live-help-vertical.png" alt="Open Live Help" style="width:61px;height:169px;margin-left:19px;"  /></div>')
        .attr('style', 'width: 61px; height: 169px; overflow: hidden; position: fixed; right: 0; top: 125px; cursor: wait;')
        .appendTo('body');


    var hideSideBar = function () {
        $sidePaneScroll.hide();
        $topHeader.animate({ 'right': '0' });
        $mainPane.animate({ 'margin-right': '0' });
        $sidePane.animate({ 'width': '0' }, function () {
            $sidePane.hide();
            $sidePaneActivator.css({ 'margin-right': '-35px' }).show().animate({ 'margin-right': '0px' }, 'slow');
        });
        document.cookie = 'inedobm_sb=0';
    };

    var showSideBar = function (noAminate) {
        $sidePaneActivator.hide();
        if (noAminate) {
            $topHeader.css({ 'right': '250px' });
            $mainPane.css({ 'margin-right': '250px' });
            $sidePane.show().css({ 'width': '250px' });
            setSidebarControl();
        } else {
            $topHeader.animate({ 'right': '250px' });
            $mainPane.animate({ 'margin-right': '250px' });
            $sidePane.show().animate({ 'width': '250px' }, setSidebarControl);
        }
        document.cookie = 'inedobm_sb=1';
    };

    var setSidebarControl = function () {
        var h = { s: $sidebar.height(), w: $(window).height() };
        if (h.s <= h.w) { $sidePaneScroll.hide(); return; }

        var offset = 50;
        var $back = $('input.back', $sidePaneScroll);
        var $next = $('input.next', $sidePaneScroll);

        var maxScroll = (h.s - h.w) + $sidePaneScroll.height() + offset;

        var getCurScroll = function () { return Math.abs($sidebar.css('margin-top').replace('px', '')); };

        $sidePaneScroll.show();
        $sidebar.css('margin-top', '0px');

        $back.unbind('click').click(function () {
            var scrollTo = getCurScroll() - h.w + offset;
            scrollTo = Math.max(scrollTo, 0);

            $sidebar.css('margin-top', '-' + scrollTo + 'px');
        });
        $next.unbind('click').click(function () {
            var scrollTo = h.w + getCurScroll() - offset;
            scrollTo = Math.min(scrollTo, maxScroll);
            $sidebar.css('margin-top', '-' + scrollTo + 'px');
        });
    };

    $('.sidebar-control a', $sidebar).click(hideSideBar);
    $(window).resize(setSidebarControl);
    if (document.cookie.match(/inedobm_sb=1/)) showSideBar(true);
    var errorTimeOut = window.setTimeout(function () {
        $('.sidebar-content .loading', $sidebar).hide();
        $('.sidebar-content .error', $sidebar).show();
    }, 5000);

    window.inedobm.sidebar = {
        show: function () { showSideBar(); },
        hide: function () { hideSideBar(); },
        enable: function () {
            window.clearInterval(errorTimeOut);
            $sidePaneActivator
                .css({ cursor: 'pointer' })
                .hover(
                    function () { $('img', $sidePaneActivator).stop().animate({ 'margin-left': '0px' }, 'slow'); },
                    function () { $('img', $sidePaneActivator).stop().animate({ 'margin-left': '19px' }, 'slow'); })
                .click(showSideBar);
        },
        setHtml: function (html) { $('.sidebar-content', $sidebar).html(html); }
    };
});